import download_feeds
import prepare_csvs
from utils import read_classes, read_multipliers, read_sku_list, read_config
import time
from datetime import datetime
import create_csv_nonvida
import merge_csv

def get_nonvida_dfs(country):
    config = read_config('files_list_nonvida.csv')
    ret_list = []
    for file in config:
        ret_list.append('download/feed_'+file['entry_name']+country+'.csv')
    return ret_list

def main():
    download_feeds.execute()
    prepare_csvs.execute()
    merge_csv.concat_feeds(list_of_dfs=get_nonvida_dfs(''), result='download/feeds_combined_nonvida.csv')
    merge_csv.concat_feeds(list_of_dfs=get_nonvida_dfs('_es'), result='download/feeds_combined_nonvida_es.csv')
    create_csv_nonvida.execute()
    
      
if __name__ == "__main__":
    start_time = time.time()
    main()
    end_time = time.time()
    with open("/usr/home/dkkapusta1997/domains/dkkapusta1997.usermd.net/public_html/warehouses.csv", 'a') as f:
        f.write(datetime.now().strftime("%d-%m-%y_%H:%M")+";leroy;"+str(round(end_time-start_time, 2))+"\n")